%global srcname wtf-peewee

Name:		python-wtf-peewee
Version:	0.2.6
Release:	8%{?dist}
Summary:	WTForms integration for peewee models

License:	MIT
URL:		https://github.com/coleifer/wtf-peewee/
Source0:	https://pypi.python.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch

# For python 2 subpackage
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	python2-peewee
BuildRequires:	python2-wtforms

# For python 3 subpackage
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-peewee
BuildRequires:	python3-wtforms

%description
Wtf-peewee, based on the code found in wtforms.ext, provides a bridge between
peewee models and wtforms, mapping model fields to form fields.

%package -n python2-%{srcname}
Summary:        WTForms integration for peewee models
%{?python_provide:%python_provide python2-%{srcname}}

Requires:	python2-wtforms
Requires:	python2-peewee

%description -n python2-%{srcname}
Wtf-peewee, based on the code found in wtforms.ext, provides a bridge between
peewee models and wtforms, mapping model fields to form fields.


%package -n python3-%{srcname}
Summary:        WTForms integration for peewee models
%{?python_provide:%python_provide python3-%{srcname}}

Requires:	python3-wtforms
Requires:	python3-peewee

%description -n python3-%{srcname}
Wtf-peewee, based on the code found in wtforms.ext, provides a bridge between
peewee models and wtforms, mapping model fields to form fields.


%prep
%setup -q -n %{srcname}-%{version}

# Remove shebang and executable bits from runtests.py
chmod -x runtests.py
sed -i '1d' runtests.py

# Remove bundled egg-info
rm -rf wtf_peewee.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%doc README.md
%license LICENSE
%{python2_sitelib}/wtfpeewee
%{python2_sitelib}/*.egg-info

%files -n python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/wtfpeewee
%{python3_sitelib}/*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.6-7
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Dec 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.2.6-5
- Fix ambiguous Python 2 dependency declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.6-2
- Rebuild for Python 3.6

* Mon Nov 07 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Mon Jun 06 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.2.3-4
- Provide a python 3 subpackage
- Add license tag
- Modernize SPEC

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 13 2013 Matej Stuchlik <mstuchli@redhat.com> - 0.2.2-1
- Updated to 0.2.2

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 20 2013 mstuchli <mstuchli@redhat.com> - 0.2.1-1
- Initial spec
